Subject: bug#78561: [PATCH] Add semantic linefeed support for paragraph filling

From: Stefan Monnier <[email-masked]>
Date: Thu, 19 Jun 2025 11:22:22 -0400

> Yes. More specifically, when region is active, `fill-paragraph'
> completely ignores `fill-paragraph-function' and directly calls
> `fill-region' -> `fill-region-as-paragraph'. This behavior cannot be
> customized by major modes,

Some of the behavior can, via `fill-paragraph-forward-function`.
And with Roi's `fill-region-as-paragraph-function`, Emacs-31 should
allow customizing a bit more of the behavior.

It would be nice to make it customizable enough that Org doesn't need to
override the `M-q` binding.

        Stefan